NVIDIA RTX A6000 with CUDA capability sm_86 is not compatible with the current PyTorch installation.(Preview3)

Hi
After reinstalling PyTorch with the command below, “train.py” worked on the RTX A6000 as well.

pip3 install torch==1.10.0+cu113 torchvision==0.11.1+cu113 torchaudio==0.10.0+cu113 -f https://download.pytorch.org/whl/cu113/torch_stable.html

2 Likes

Did you find any solution? Facing the same issue.

For venv, it is as follows.
Do not install with pip in the conda environment.

For conda, it is as follows.

If LTS doesn’t work, try Stable.

It works for me. Created a new conda environment to test it.

conda create -n envA6k
conda install pytorch torchvision torchaudio cudatoolkit=11.3 -c pytorch

Test
conda activate envA6k

import torch
print(torch.__version__)
print(torch.cuda.get_arch_list())

1.11.0
[‘sm_37’, ‘sm_50’, ‘sm_60’, ‘sm_61’, ‘sm_70’, ‘sm_75’, ‘sm_80’, ‘sm_86’, ‘compute_37’]